/*
 * SWE Funktionsbibliothek Objektfilter
 * Copyright (C) 2011-2020 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */
package de.bsvrz.sys.funclib.objfilter.interpreter;

import de.bsvrz.dav.daf.main.config.ObjectSet;

/**
 * Repräsentation einer Menge der Datenverteilerkonfiguration als {@link Wert}.
 *
 * Der Wert wird in der Regel nur intern bei der Auswertung eines
 * Filterausdrucks gebildet und sollte nicht direkt zur Konstruktion eines
 * Filters verwendet werden.
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class MengeWert extends SystemobjektWert {

    public MengeWert(final ObjectSet menge) {
        super(menge);
    }

    @Override
    public final ObjectSet getMenge() {
        return (ObjectSet) getSystemObject();
    }
}
